com.io7m.r2.core

## Class R2DepthAttachmentCreate.Builder

- java.lang.Object
- - com.io7m.r2.core.R2DepthAttachmentCreate.Builder

- Enclosing class:
    R2DepthAttachmentCreate

      public static final class R2DepthAttachmentCreate.Builder
      extends Object

  Builds instances of type `R2DepthAttachmentCreate`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DepthAttachmentCreate` | `build()` Builds a new `R2DepthAttachmentCreate`.
    `R2DepthAttachmentCreate.Builder` | `from(R2DepthAttachmentCreateType instance)` Fill a builder with attribute values from the provided `R2DepthAttachmentCreateType` instance.
    `R2DepthAttachmentCreate.Builder` | `setPrecision(R2DepthPrecision precision)` Initializes the value for the `precision` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DepthAttachmentCreate.Builder from(R2DepthAttachmentCreateType instance)

      Fill a builder with attribute values from the provided `R2DepthAttachmentCreateType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setPrecision

          public final R2DepthAttachmentCreate.Builder setPrecision(R2DepthPrecision precision)

      Initializes the value for the `precision` attribute.
      Parameters:
        `precision` - The value for precision
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DepthAttachmentCreate build()

      Builds a new `R2DepthAttachmentCreate`.
      Returns:
        An immutable instance of R2DepthAttachmentCreate
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com